{{#each this.rows as |row index|}}
  <div class='row-layout-settings {{if (and this.isCurrentContainer (or (eq this.editingStartEdge index) (eq this.editingEndEdge index))) "show"}}'>
    <div class='add-row-container'>
      <Input::Layout::InsertRowBtn class='btn-add-row btn-add-row-{{index}}' {{on 'click' (fn this.addRowBefore index)}} />
    </div>

    <div class='row-button-group' {{on 'click' (fn this.rowEdit index) capture=true}}>
      <Input::Layout::ConfigRowBtn class='btn-edit-row btn-edit-row-{{this.rows.length}}' />
    </div>
  </div>

  <div class='row {{col-size-limit this.size row.cls}} row-selectable {{if (and this.isCurrentContainer (eq this.editingStartEdge index)) "row-selected"}}' {{on 'click' (fn this.enableRowEdit index) capture=true}}>
    <Input::Layout::Cols
      @page={{@page}}
      @selectionId={{@selectionId}}
      @size={{this.size}}
      @containerIndex={{@containerIndex}}
      @rowIndex={{index}}
      @onRowRemove={{this.rowRemove}}
      @onSelect={{@onSelect}}
      @selected={{if (eq index this.editingStartEdge) this.selectedCol}}
    />
  </div>

  <div class='row row-hidden row-selectable' {{on 'click' (fn this.rowEdit index)}}>
    <div class='col text-center p-2 text-muted'>
      <FaIcon @icon='eye-slash' />{{t 'The row is not visible on this size.'}}</div>
  </div>
{{/each}}

<div class='resize-observer' {{did-insert this.setupResizeObserver}}></div>
<div class='row-layout-settings {{if (and this.isCurrentContainer (eq this.editingEndEdge this.rows.length)) "show"}}'>
  <div class='add-row-container'>
    <Input::Layout::InsertRowBtn class='btn-add-row btn-add-row-{{this.rows.length}}' {{on 'click' this.addRowEnd}} />
  </div>
</div>

{{#unless this.rows.length}}
  <div class='add-row-container empty'>
    <button class='btn btn-outline-primary btn-add-row btn-add-first-row m-auto' type='button' {{on 'click' this.addRowEnd}}>
      <FaIcon @icon='plus' />
      {{capitalize (t 'row')}}
    </button>
  </div>
{{/unless}}